com.ihr.xbrl.pojo.etl

## Class ExtractionDims

- java.lang.Object
- - com.ihr.xbrl.pojo.etl.ExtractionDims

-     public class ExtractionDims
      extends java.lang.Object

  POJO class to pack one dimension and member to search for during data extraction.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractionDims()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `QName` | `getDimension()` Gets the dimension.
    `java.lang.Long` | `getId()` Gets the id.
    `QName` | `getMember()` Gets the member.
    `int` | `hashCode()`
    `void` | `setDimension(QName dimension)` Sets the dimension.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setMember(QName member)` Sets the member.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionDims

          public ExtractionDims()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getDimension

          public QName getDimension()

      Gets the dimension.
      Returns:
        the dimension

    - #### setDimension

          public void setDimension(QName dimension)

      Sets the dimension.
      Parameters:
        `dimension` - the dimension to set

    - #### getMember

          public QName getMember()

      Gets the member.
      Returns:
        the member

    - #### setMember

          public void setMember(QName member)

      Sets the member.
      Parameters:
        `member` - the member to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`